package org.xyzh.message;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.message",         // 当前message模块
    "org.xyzh.common"          // 公共模块
})
public class MessageApp {
    private static final Logger logger = LoggerFactory.getLogger(MessageApp.class);
    
    public static void main(String[] args) {
        logger.info("======================== MessageApp 启动中 =========================");
        SpringApplication.run(MessageApp.class, args);
        logger.info("======================== MessageApp 启动成功 =========================");
    }
}